{% extends "base.html" %}

{% block section_title %}Services - Emprunt{% endblock %}
{% block custom_head %}<script src="{{ url_for('static', filename='scripts/emprunt_bde.js')}}"></script>{% endblock %}

{% block content %}
    
    <div>
        <p style="font-style: italic;">Rappel des règles pour emprunter :</p>
        <ul>
            <li>Ne louer qu'un seul appareil à la fois</li>
            <li>Ne pas dégrader l'appareil</li>
            <li>Rendre l'appareil dans son intégralité et propre</li>
        </ul>
    </div>
    <form method="post" action="{{ url_for('services.emprunt_bde') }}">
        {{ form.hidden_tag() }}
        <section>
            <div>
                <div>
                    <label for="item">Item:</label>
                    {{ form.item_select(class="form-control", placeholder="Enter your choice", id="item_input") }}
                    <label for="item" style="margin-left: 25px;">Sous : BDE/CLUB:</label>
                    {{ form.sous(class="form-control") }}
                </div>
                <!--
                <div id="custom_item_input" style="display: none; margin-left: 50px; flex-direction: row;">
                    <label for="custom_item_input">Nom de l'item à ajouter :</label>
                     form.custom_item_select(class="form-control", placeholder="Enter your choice", id="custom_item_input") 
                </div>-->
            </div>
            <div style="display: flex; flex-direction: row; margin-right: 50px;">
                <label for="date-debut" style="margin-right: 20px; margin-top: 10px;">Date de début de l'emprunt:</label>
                    {{ form.date_debut(class="form-control", id="start_date_input") }}
                <br>
                <label for="date-fin" style="margin-left: 25px; margin-top: 10px; margin-right: 20px;">Date de fin de l'emprunt:</label>
                    {{ form.date_fin(class="form-control", id="end_date_input") }}
            </div>
            <div id="duration_output" style="margin-top: 10px; margin-left: 50px; font-style: italic;"></div>
        </section>
        <section>
            <label for="item">La caution est:</label>
            {{ form.caution(class="form-control") }}
        </section>
        <section>
            {{ form.accept(class="form-control") }}
            <label for="item">{{ form.accept.label }}</label>
        </section>
        {{ form.submit(class="btn btn-primary") }}
        
    </form>

{% endblock %}